@abstract
class_name AbstractFood
extends Node

@export var val: int = 1
@export var food_name: String = "Food"


@export var flow_carry_speed: float = 10.0

signal consumed

func _on_body_entered(body: Node2D) -> void:
	pass

func eat(consumer: Node2D) -> void:
	pass
